Module | Sequel::Plugins::List::ClassMethods
In: | lib/sequel/plugins/list.rb

### Methods

inherited

### Attributes

position_field | [RW] | The column name holding the position in the list, as a symbol.
scope_proc | [RW] | A proc that scopes the dataset, so that there can be multiple positions in the list, but the positions are unique with the scoped dataset. This proc should accept an instance and return a dataset representing the list.

### Public Instance methods

inherited(subclass)

Copy the `position_field` and `scope_proc` to the subclass.

[Source]

        # File lib/sequel/plugins/list.rb, line 82
    82:         def inherited(subclass)
    83:           super
    84:           subclass.position_field = position_field
    85:           subclass.scope_proc = scope_proc
    86:         end

[Validate]